ComputerSystemCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.ComputerSystemCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface ComputerSystemCluster

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ComputerSystemCluster

extends CIMSystem, ConfigurationItem

Naming Rules:
  0="loadBalancer" 1="managedSystemName"
Persistable:
  true
Table Name:
  ASCLUSTER
Top Level:
  true
Display Name:
  loadBalancer

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.CIMSystem
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`ComputerSystem[]` | `getComputerSystems()`
`java.lang.String` | `getLoadBalancer()`
`boolean` | `hasComputerSystems()`
`boolean` | `hasLoadBalancer()`
`void` | `setComputerSystems(ComputerSystem[] systems)`
`void` | `setLoadBalancer(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getLoadBalancer

    java.lang.String getLoadBalancer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoadBalancer

    void setLoadBalancer(java.lang.String s)

### hasLoadBalancer

    boolean hasLoadBalancer()

### getComputerSystems

    ComputerSystem[] getComputerSystems()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setComputerSystems

    void setComputerSystems(ComputerSystem[] systems)

### hasComputerSystems

    boolean hasComputerSystems()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD